Bug 25414 - Update request: kernel-5.2.13-2.mga7
Summary: Update request: kernel-5.2.13-2.mga7
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK, MGA7-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2019-09-07 11:57 CEST by Thomas Backlund
Modified: 2019-09-12 21:11 CEST (History)
4 users (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments

Description Thomas Backlund 2019-09-07 11:57:30 CEST
Here comes a new set of kernels to test...

One of the reasons for pushing this so soon after the last update is that a patch in upstream 5.2.9 broke elantech touchpads for many users, so it's now reverted in upstream 5.2.13.

Other interesting changes in this update is that it now has exfat support, and WireGuard had been updated to 0.0.201900905


SRPMS:
kernel-5.2.13-1.mga7.src.rpm
kernel-userspace-headers-5.2.13-1.mga7.src.rpm
kmod-virtualbox-6.0.10-5.mga7.src.rpm
kmod-xtables-addons-3.3-60.mga7.src.rpm
wireguard-tools-0.0.20190905-1.mga7.src.rpm


i586:
bpftool-5.2.13-1.mga7.i586.rpm
cpupower-5.2.13-1.mga7.i586.rpm
cpupower-devel-5.2.13-1.mga7.i586.rpm
kernel-desktop-5.2.13-1.mga7-1-1.mga7.i586.rpm
kernel-desktop586-5.2.13-1.mga7-1-1.mga7.i586.rpm
kernel-desktop586-devel-5.2.13-1.mga7-1-1.mga7.i586.rpm
kernel-desktop586-devel-latest-5.2.13-1.mga7.i586.rpm
kernel-desktop586-latest-5.2.13-1.mga7.i586.rpm
kernel-desktop-devel-5.2.13-1.mga7-1-1.mga7.i586.rpm
kernel-desktop-devel-latest-5.2.13-1.mga7.i586.rpm
kernel-desktop-latest-5.2.13-1.mga7.i586.rpm
kernel-doc-5.2.13-1.mga7.noarch.rpm
kernel-server-5.2.13-1.mga7-1-1.mga7.i586.rpm
kernel-server-devel-5.2.13-1.mga7-1-1.mga7.i586.rpm
kernel-server-devel-latest-5.2.13-1.mga7.i586.rpm
kernel-server-latest-5.2.13-1.mga7.i586.rpm
kernel-source-5.2.13-1.mga7-1-1.mga7.noarch.rpm
kernel-source-latest-5.2.13-1.mga7.noarch.rpm
kernel-userspace-headers-5.2.13-1.mga7.i586.rpm
libbpf0-5.2.13-1.mga7.i586.rpm
libbpf-devel-5.2.13-1.mga7.i586.rpm
perf-5.2.13-1.mga7.i586.rpm

virtualbox-kernel-5.2.13-desktop-1.mga7-6.0.10-5.mga7.i586.rpm
virtualbox-kernel-5.2.13-desktop586-1.mga7-6.0.10-5.mga7.i586.rpm
virtualbox-kernel-5.2.13-server-1.mga7-6.0.10-5.mga7.i586.rpm
virtualbox-kernel-desktop586-latest-6.0.10-5.mga7.i586.rpm
virtualbox-kernel-desktop-latest-6.0.10-5.mga7.i586.rpm
virtualbox-kernel-server-latest-6.0.10-5.mga7.i586.rpm

xtables-addons-kernel-5.2.13-desktop-1.mga7-3.3-60.mga7.i586.rpm
xtables-addons-kernel-5.2.13-desktop586-1.mga7-3.3-60.mga7.i586.rpm
xtables-addons-kernel-5.2.13-server-1.mga7-3.3-60.mga7.i586.rpm
xtables-addons-kernel-desktop586-latest-3.3-60.mga7.i586.rpm
xtables-addons-kernel-desktop-latest-3.3-60.mga7.i586.rpm
xtables-addons-kernel-server-latest-3.3-60.mga7.i586.rpm

wireguard-tools-0.0.20190905-1.mga7.i586.rpm



x86_64:
bpftool-5.2.13-1.mga7.x86_64.rpm
cpupower-5.2.13-1.mga7.x86_64.rpm
cpupower-devel-5.2.13-1.mga7.x86_64.rpm
kernel-desktop-5.2.13-1.mga7-1-1.mga7.x86_64.rpm
kernel-desktop-devel-5.2.13-1.mga7-1-1.mga7.x86_64.rpm
kernel-desktop-devel-latest-5.2.13-1.mga7.x86_64.rpm
kernel-desktop-latest-5.2.13-1.mga7.x86_64.rpm
kernel-doc-5.2.13-1.mga7.noarch.rpm
kernel-server-5.2.13-1.mga7-1-1.mga7.x86_64.rpm
kernel-server-devel-5.2.13-1.mga7-1-1.mga7.x86_64.rpm
kernel-server-devel-latest-5.2.13-1.mga7.x86_64.rpm
kernel-server-latest-5.2.13-1.mga7.x86_64.rpm
kernel-source-5.2.13-1.mga7-1-1.mga7.noarch.rpm
kernel-source-latest-5.2.13-1.mga7.noarch.rpm
kernel-userspace-headers-5.2.13-1.mga7.x86_64.rpm
lib64bpf0-5.2.13-1.mga7.x86_64.rpm
lib64bpf-devel-5.2.13-1.mga7.x86_64.rpm
perf-5.2.13-1.mga7.x86_64.rpm

virtualbox-kernel-5.2.13-desktop-1.mga7-6.0.10-5.mga7.x86_64.rpm
virtualbox-kernel-5.2.13-server-1.mga7-6.0.10-5.mga7.x86_64.rpm
virtualbox-kernel-desktop-latest-6.0.10-5.mga7.x86_64.rpm
virtualbox-kernel-server-latest-6.0.10-5.mga7.x86_64.rpm

xtables-addons-kernel-5.2.13-desktop-1.mga7-3.3-60.mga7.x86_64.rpm
xtables-addons-kernel-5.2.13-server-1.mga7-3.3-60.mga7.x86_64.rpm
xtables-addons-kernel-desktop-latest-3.3-60.mga7.x86_64.rpm
xtables-addons-kernel-server-latest-3.3-60.mga7.x86_64.rpm

wireguard-tools-0.0.20190905-1.mga7.x86_64.rpm
Comment 1 Thomas Backlund 2019-09-08 12:30:48 CEST
Putting this on hold, another regression reported upstream...

Keywords: (none) => feedback

Comment 2 Thomas Backlund 2019-09-08 19:21:04 CEST
Fix added, updated rpms list:

SRPMS:
kernel-5.2.13-2.mga7.src.rpm
kernel-userspace-headers-5.2.13-2.mga7.src.rpm
kmod-virtualbox-6.0.10-6.mga7.src.rpm
kmod-xtables-addons-3.3-62.mga7.src.rpm
wireguard-tools-0.0.20190905-1.mga7.src.rpm



i586:
bpftool-5.2.13-2.mga7.i586.rpm
cpupower-5.2.13-2.mga7.i586.rpm
cpupower-devel-5.2.13-2.mga7.i586.rpm
kernel-desktop-5.2.13-2.mga7-1-1.mga7.i586.rpm
kernel-desktop586-5.2.13-2.mga7-1-1.mga7.i586.rpm
kernel-desktop586-devel-5.2.13-2.mga7-1-1.mga7.i586.rpm
kernel-desktop586-devel-latest-5.2.13-2.mga7.i586.rpm
kernel-desktop586-latest-5.2.13-2.mga7.i586.rpm
kernel-desktop-devel-5.2.13-2.mga7-1-1.mga7.i586.rpm
kernel-desktop-devel-latest-5.2.13-2.mga7.i586.rpm
kernel-desktop-latest-5.2.13-2.mga7.i586.rpm
kernel-doc-5.2.13-2.mga7.noarch.rpm
kernel-server-5.2.13-2.mga7-1-1.mga7.i586.rpm
kernel-server-devel-5.2.13-2.mga7-1-1.mga7.i586.rpm
kernel-server-devel-latest-5.2.13-2.mga7.i586.rpm
kernel-server-latest-5.2.13-2.mga7.i586.rpm
kernel-source-5.2.13-2.mga7-1-1.mga7.noarch.rpm
kernel-source-latest-5.2.13-2.mga7.noarch.rpm
kernel-userspace-headers-5.2.13-2.mga7.i586.rpm
libbpf0-5.2.13-2.mga7.i586.rpm
libbpf-devel-5.2.13-2.mga7.i586.rpm
perf-5.2.13-2.mga7.i586.rpm

virtualbox-kernel-5.2.13-desktop-2.mga7-6.0.10-6.mga7.i586.rpm
virtualbox-kernel-5.2.13-desktop586-2.mga7-6.0.10-6.mga7.i586.rpm
virtualbox-kernel-5.2.13-server-2.mga7-6.0.10-6.mga7.i586.rpm
virtualbox-kernel-desktop586-latest-6.0.10-6.mga7.i586.rpm
virtualbox-kernel-desktop-latest-6.0.10-6.mga7.i586.rpm
virtualbox-kernel-server-latest-6.0.10-6.mga7.i586.rpm

xtables-addons-kernel-5.2.13-desktop-2.mga7-3.3-62.mga7.i586.rpm
xtables-addons-kernel-5.2.13-desktop586-2.mga7-3.3-62.mga7.i586.rpm
xtables-addons-kernel-5.2.13-server-2.mga7-3.3-62.mga7.i586.rpm
xtables-addons-kernel-desktop586-latest-3.3-62.mga7.i586.rpm
xtables-addons-kernel-desktop-latest-3.3-62.mga7.i586.rpm
xtables-addons-kernel-server-latest-3.3-62.mga7.i586.rpm

wireguard-tools-0.0.20190905-1.mga7.i586.rpm



x86_64:
bpftool-5.2.13-2.mga7.x86_64.rpm
cpupower-5.2.13-2.mga7.x86_64.rpm
cpupower-devel-5.2.13-2.mga7.x86_64.rpm
kernel-desktop-5.2.13-2.mga7-1-1.mga7.x86_64.rpm
kernel-desktop-devel-5.2.13-2.mga7-1-1.mga7.x86_64.rpm
kernel-desktop-devel-latest-5.2.13-2.mga7.x86_64.rpm
kernel-desktop-latest-5.2.13-2.mga7.x86_64.rpm
kernel-doc-5.2.13-2.mga7.noarch.rpm
kernel-server-5.2.13-2.mga7-1-1.mga7.x86_64.rpm
kernel-server-devel-5.2.13-2.mga7-1-1.mga7.x86_64.rpm
kernel-server-devel-latest-5.2.13-2.mga7.x86_64.rpm
kernel-server-latest-5.2.13-2.mga7.x86_64.rpm
kernel-source-5.2.13-2.mga7-1-1.mga7.noarch.rpm
kernel-source-latest-5.2.13-2.mga7.noarch.rpm
kernel-userspace-headers-5.2.13-2.mga7.x86_64.rpm
lib64bpf0-5.2.13-2.mga7.x86_64.rpm
lib64bpf-devel-5.2.13-2.mga7.x86_64.rpm
perf-5.2.13-2.mga7.x86_64.rpm

virtualbox-kernel-5.2.13-desktop-2.mga7-6.0.10-6.mga7.x86_64.rpm
virtualbox-kernel-5.2.13-server-2.mga7-6.0.10-6.mga7.x86_64.rpm
virtualbox-kernel-desktop-latest-6.0.10-6.mga7.x86_64.rpm
virtualbox-kernel-server-latest-6.0.10-6.mga7.x86_64.rpm

xtables-addons-kernel-5.2.13-desktop-2.mga7-3.3-62.mga7.x86_64.rpm
xtables-addons-kernel-5.2.13-server-2.mga7-3.3-62.mga7.x86_64.rpm
xtables-addons-kernel-desktop-latest-3.3-62.mga7.x86_64.rpm
xtables-addons-kernel-server-latest-3.3-62.mga7.x86_64.rpm

wireguard-tools-0.0.20190905-1.mga7.x86_64.rpm

Keywords: feedback => (none)
Summary: Update request: kernel-5.2.13-1.mga7 => Update request: kernel-5.2.13-2.mga7

Comment 3 Len Lawrence 2019-09-09 17:37:23 CEST
Mate desktop.

Updated to these:
- bpftool-5.2.13-2.mga7.x86_64
- cpupower-5.2.13-2.mga7.x86_64
- cpupower-devel-5.2.13-2.mga7.x86_64
- kernel-desktop-5.2.13-2.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-5.2.13-2.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-latest-5.2.13-2.mga7.x86_64
- kernel-desktop-latest-5.2.13-2.mga7.x86_64
- kernel-doc-5.2.13-2.mga7.noarch
- kernel-userspace-headers-5.2.13-2.mga7.x86_64
- lib64bpf-devel-5.2.13-2.mga7.x86_64
- lib64bpf0-5.2.13-2.mga7.x86_64
- perf-5.2.13-2.mga7.x86_64
- virtualbox-kernel-5.2.13-desktop-2.mga7-6.0.10-6.mga7.x86_64
- virtualbox-kernel-desktop-latest-6.0.10-6.mga7.x86_64
- wireguard-tools-0.0.20190905-1.mga7.x86_64
- xtables-addons-kernel-5.2.13-desktop-2.mga7-3.3-62.mga7.x86_64
- xtables-addons-kernel-desktop-latest-3.3-62.mga7.x86_64

Installed these manually:
  kernel-source-5.2.13-2.mga7    1            1.mga7        noarch  
  kernel-source-latest           5.2.13       2.mga7        noarch  

Warm reboot - nvidia graphics OK.
System:   Host: canopus Kernel: 5.2.13-desktop-2.mga7 x86_64 bits: 64 
CPU:      10-Core: Intel Core i9-7900X type: MT MCP speed: 1201 MHz 
Machine:  Type: Desktop Mobo: ASUSTeK model: TUF X299 MARK 2 v: Rev 1.xx 
Graphics  Device-1: NVIDIA GP102 [GeForce GTX 1080 Ti] driver: nvidia v: 430.40 
RAM:      31.10 GB

stress tests completed.
glmark2 failed.
libGL error: No matching fbConfigs or visuals found

Installed virtualbox/dkms-virtualbox and launched a 64-bit guest via a desktop icon.  Running fine.

Common desktop applications working from cli, panel icons and applications menu.  NFS shares mounted automatically.  Sound and vision OK.

Working fine on this hardware.  Ignoring glmark2 - a problem child.

CC: (none) => tarazed25

Comment 4 Len Lawrence 2019-09-09 19:42:20 CEST
Ran the updates on this hardware:
  Type: Desktop System: MSI product: MS-7816 v: 3.0 serial: <root required> 
  Mobo: MSI model: Z97-G43 (MS-7816) v: 3.0 serial: <root required> 
  UEFI: American Megatrends v: 17.8 date: 12/24/2014 
  Quad Core: Intel Core i7-4790 type: MT MCP speed: 3801 MHz
  Device-1: NVIDIA GM204 [GeForce GTX 970] driver: nvidia v: 430.40

Rebooted fine.  Networking, NFS OK.  stress tests completed.
glmark2 worked.  Desktop applications all running fine.  Sound & video - no problems.  virtualbox launching clients.
Comment 5 Thomas Andrews 2019-09-10 04:17:16 CEST
Athlon X2 7750, 8GB, nvidia340 graphics, Atheros wifi, 64-bit Plasma system.

The following 8 packages are going to be installed:

- cpupower-5.2.13-2.mga7.x86_64
- kernel-desktop-5.2.13-2.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-5.2.13-2.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-latest-5.2.13-2.mga7.x86_64
- kernel-desktop-latest-5.2.13-2.mga7.x86_64
- kernel-userspace-headers-5.2.13-2.mga7.x86_64
- virtualbox-kernel-5.2.13-desktop-2.mga7-6.0.10-6.mga7.x86_64
- virtualbox-kernel-desktop-latest-6.0.10-6.mga7.x86_64

Installation went smoothly. Rebooted to a working desktop, with no issues noted so far. Looks good on this hardware.

CC: (none) => andrewsfarm

Comment 6 PC LX 2019-09-10 14:59:22 CEST
Installed and tested without issues.

Tested for two days (3 boots) of normal workstation usage and some extra testing.

System: Mageia 7, x86_64, Intel Core2 Quad Q9400, nVidia GPU using nvidia340 proprietary driver, sddm DM, Plasma DE, LXQt DE.


$ uname -a
Linux marte 5.2.13-desktop-2.mga7 #1 SMP Sun Sep 8 10:54:20 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
$ rpm -qa | grep 5.2.13 | sort -u
cpupower-5.2.13-2.mga7
kernel-desktop-5.2.13-2.mga7-1-1.mga7
kernel-desktop-devel-5.2.13-2.mga7-1-1.mga7
kernel-desktop-devel-latest-5.2.13-2.mga7
kernel-desktop-latest-5.2.13-2.mga7
kernel-userspace-headers-5.2.13-2.mga7
perf-5.2.13-2.mga7
$ lspcidrake 
ehci_pci        : Intel Corporation|NM10/ICH7 Family USB2 EHCI Controller [SERIAL_USB] (rev: 01)
Card:NVIDIA GeForce 8100 to GeForce 415: NVIDIA Corporation|GT218 [GeForce 210] [DISPLAY_VGA] (rev: a2)
uhci_hcd        : Intel Corporation|NM10/ICH7 Family USB UHCI Controller #1 [SERIAL_USB] (rev: 01)
uhci_hcd        : Intel Corporation|NM10/ICH7 Family USB UHCI Controller #3 [SERIAL_USB] (rev: 01)
ata_piix        : Intel Corporation|82801G (ICH7 Family) IDE Controller [STORAGE_IDE] (rev: 01)
unknown         : Intel Corporation|NM10/ICH7 Family PCI Express Port 2 [BRIDGE_PCI] (rev: 01)
unknown         : Intel Corporation|4 Series Chipset DRAM Controller [BRIDGE_HOST] (rev: 03)
i2c_i801        : Intel Corporation|NM10/ICH7 Family SMBus Controller [SERIAL_SMBUS] (rev: 01)
unknown         : Intel Corporation|82801 PCI Bridge [BRIDGE_PCI] (rev: e1)
snd_hda_intel   : Intel Corporation|NM10/ICH7 Family High Definition Audio Controller [MULTIMEDIA_AUDIO_DEV] (rev: 01)
r8169           : Realtek Semiconductor Co., Ltd.|RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [NETWORK_ETHERNET] (rev: 11)
snd_hda_intel   : NVIDIA Corporation|High Definition Audio Controller [MULTIMEDIA_AUDIO_DEV] (rev: a1)
uhci_hcd        : Intel Corporation|NM10/ICH7 Family USB UHCI Controller #2 [SERIAL_USB] (rev: 01)
unknown         : Intel Corporation|4 Series Chipset PCI Express Root Port [BRIDGE_PCI] (rev: 03)
intel_rng       : Intel Corporation|82801GB/GR (ICH7 Family) LPC Interface Bridge [BRIDGE_ISA] (rev: 01)
uhci_hcd        : Intel Corporation|NM10/ICH7 Family USB UHCI Controller #4 [SERIAL_USB] (rev: 01)
unknown         : Intel Corporation|NM10/ICH7 Family PCI Express Port 1 [BRIDGE_PCI] (rev: 01)
ata_piix        : Intel Corporation|NM10/ICH7 Family SATA Controller [IDE mode] [STORAGE_IDE] (rev: 01)
hub             : Linux 5.2.13-desktop-2.mga7 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Genesys Logic, Inc.|USB2.0 Hub [Hub|Unused|Full speed (or root) hub]
usbhid          : Sunplus Technology Co., Ltd|USB Laser Wheel Mouse [Human Interface Device|Boot Interface Subclass|Mouse]
usbhid          : USB|USB Keykoard [Human Interface Device|Boot Interface Subclass|Keyboard]
usb_storage     : Lexar|USB Flash Drive [Mass Storage|SCSI|Bulk-Only]
usb_storage     : Generic|Mass Storage Device [Mass Storage|SCSI|Bulk-Only]
hub             : Linux 5.2.13-desktop-2.mga7 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
Mouse:evdev     : Logitech|USB Receiver [Human Interface Device|Boot Interface Subclass|Keyboard]
hub             : Linux 5.2.13-desktop-2.mga7 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 5.2.13-desktop-2.mga7 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 5.2.13-desktop-2.mga7 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hid_generic     : Logitech USB Receiver
hid_generic     : USB USB Keykoard
hid_generic     : Logitech Wireless Mouse PID:003f
hid_generic     : Logitech USB Receiver
hid_generic     : USB Laser Wheel Mouse
hid_generic     : USB USB Keykoard
hid_generic     : Logitech Wireless Keyboard PID:0055

CC: (none) => mageia

Comment 7 PC LX 2019-09-10 16:09:48 CEST
Installed and tested on QEMU/KVM VM guest without issue.

Tested for a few hours and a few boots cycles.


Host system: see comment 6.
Guest system: Mageia 7, x86_64, 2GiB RAM, Intel Core2 Duo p9xxx, sddm DM, LXQt DE.


$ uname -a
Linux marte-vm-mageia-7 5.2.13-desktop-2.mga7 #1 SMP Sun Sep 8 10:54:20 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
$ systemd-detect-virt 
kvm
$ rpm -qa | grep 5.2.13
kernel-desktop-latest-5.2.13-2.mga7
perf-5.2.13-2.mga7
kernel-desktop-5.2.13-2.mga7-1-1.mga7
cpupower-5.2.13-2.mga7
kernel-userspace-headers-5.2.13-2.mga7
$ lspcidrake 
uhci_hcd        : Intel Corporation|82801I (ICH9 Family) USB UHCI Controller #1 [SERIAL_USB] (rev: 03)
Card:Virtio virtual video card: Red Hat, Inc.|Virtio GPU [DISPLAY_VGA] (rev: 01)
uhci_hcd        : Intel Corporation|82801I (ICH9 Family) USB UHCI Controller #3 [SERIAL_USB] (rev: 03)
virtio_pci      : Red Hat, Inc.|Virtio block device [STORAGE_SCSI]
ata_piix        : Intel Corporation|82371SB PIIX3 IDE [Natoma/Triton II] [STORAGE_IDE]
virtio_pci      : Red Hat, Inc.|Virtio network device [NETWORK_ETHERNET]
i2c_piix4       : Intel Corporation|82371AB/EB/MB PIIX4 ACPI [BRIDGE_OTHER] (rev: 03)
unknown         : Intel Corporation|440FX - 82441FX PMC [Natoma] [BRIDGE_HOST] (rev: 02)
uhci_hcd        : Intel Corporation|82801I (ICH9 Family) USB UHCI Controller #2 [SERIAL_USB] (rev: 03)
virtio_pci      : Red Hat, Inc.|Virtio memory balloon
snd_hda_intel   : Intel Corporation|82801I (ICH9 Family) HD Audio Controller [MULTIMEDIA_AUDIO_DEV] (rev: 03)
unknown         : Intel Corporation|82371SB PIIX3 ISA [Natoma/Triton II] [BRIDGE_ISA]
ehci_pci        : Intel Corporation|82801I (ICH9 Family) USB2 EHCI Controller #1 [SERIAL_USB] (rev: 03)
hub             : Linux 5.2.13-desktop-2.mga7 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
usbhid          : QEMU|QEMU USB Tablet [Human Interface Device|No Subclass|None]
hub             : Linux 5.2.13-desktop-2.mga7 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 5.2.13-desktop-2.mga7 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 5.2.13-desktop-2.mga7 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hid_generic     : QEMU QEMU USB Tablet
Comment 8 Len Lawrence 2019-09-11 00:43:38 CEST
mga7, x86_64, legacy boot

Alienware X51
Intel Core i7-2600 (-HT-MCP-)
NVIDIA GF114 [GeForce GTX 555] 390.129
RAM 8GB

Updated desktop kernel packages.  nvidia graphics driver rebuilt.
Rebooted to Mate desktop, NFS shares already mounted.
stress tests OK.  Desktop running fine, virtualbox also.
Comment 9 Len Lawrence 2019-09-11 18:02:13 CEST
mga7, x86_64

Aorus X5 laptop
  Mobo: GIGABYTE model: X5 serial: <root required> UEFI: American Megatrends 
  Quad Core: Intel Core i7-5700HQ type: MT MCP speed: 1996 MHz
  Device-1: NVIDIA GM204M [GeForce GTX 965M] driver: nvidia v: 430.40
  Display: x11 server: Mageia X.org 1.20.4 driver: nvidia,v4l 
  resolution: 2880x1620~60Hz 
  Intel Wireless 7265 driver: iwlwifi
  Desktop: Xfce 4.14.1 Distro: Mageia 7

Smooth update.  Desktop working fine.
glmark2 failed - working before the update.  Other graphics tests worked OK.  stress tests ran to completion.
NFS shares needed to be mounted manually.  Desktop applications working normally.  Set up bluetooth and succeeded in pairing with external speaker.
Sound and video OK.  Session resumed after closing and opening the lid and giving password.

No obvious regressions so far on this hardware.
Comment 10 Thomas Backlund 2019-09-12 19:38:56 CEST
Advisory, added to svn:

type: bugfix
subject: Updated kernel packages fixes various bugs
src:
  7:
   core:
     - kernel-5.2.13-2.mga7
     - kernel-userspace-headers-5.2.13-2.mga7
     - kmod-virtualbox-6.0.10-6.mga7
     - kmod-xtables-addons-3.3-62.mga7
     - wireguard-tools-0.0.20190905-1.mga7
description: |
  This update is based on upstream 5.2.103 kernel and fixes various issues,
  including revert of a change in upstream 5.2.9 that broke elantech
  touchpads for many users.

  This kernel also has added exfat support from the  upstream staging tree.

  WireGuard has been updated to 0.0.201900905.

For more info about the upstream fixes in this update, see the referenced
changelogs.
references:
 - https://bugs.mageia.org/show_bug.cgi?id=25414
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-5.2.11
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-5.2.12
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-5.2.13

Whiteboard: (none) => MGA7-64-OK, MGA7-32-OK
Keywords: (none) => advisory, validated_update
CC: (none) => sysadmin-bugs

Comment 11 Mageia Robot 2019-09-12 21:11:16 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2019-0125.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.